org.wso2.carbon.device.mgt.mobile.windows.api.services.syncml.impl

## Class SyncmlServiceImpl

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.syncml.impl.SyncmlServiceImpl

- All Implemented Interfaces:
    SyncmlService

      public class SyncmlServiceImpl
      extends Object
      implements SyncmlService

  Implementing class of SyncmlImpl interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyncmlServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `generateReply(SyncmlDocument syncmlDocument, List<? extends org.wso2.carbon.device.mgt.common.operation.mgt.Operation> operations)` Generate Device payloads.
    `javax.ws.rs.core.Response` | `getResponse(Document request)` Method for calling SyncML engine for producing the Syncml response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SyncmlServiceImpl

          public SyncmlServiceImpl()

  - ### Method Detail

    - #### getResponse

          public javax.ws.rs.core.Response getResponse(Document request)
                                                throws WindowsDeviceEnrolmentException,
                                                       WindowsOperationException,
                                                       org.wso2.carbon.device.mgt.common.notification.mgt.NotificationManagementException,
                                                       WindowsConfigurationException

      Method for calling SyncML engine for producing the Syncml response. For the first SyncML message comes from the device, this method produces a response to retrieve device information for enrolling the device.
      Specified by:
        `getResponse` in interface `SyncmlService`
      Parameters:
        `request` - - SyncML request
      Returns:
        - SyncML response
      Throws:
        `WindowsOperationException`
        `WindowsDeviceEnrolmentException`
        `org.wso2.carbon.device.mgt.common.notification.mgt.NotificationManagementException`
        `WindowsConfigurationException`

    - #### generateReply

          public String generateReply(SyncmlDocument syncmlDocument,
                             List<? extends org.wso2.carbon.device.mgt.common.operation.mgt.Operation> operations)
                               throws SyncmlMessageFormatException,
                                      SyncmlOperationException

      Generate Device payloads.
      Parameters:
        `syncmlDocument` - Parsed syncml payload from the syncml engine.
        `operations` - Operations for generate payload.
      Returns:
        String type syncml payload.
      Throws:
        `WindowsOperationException`
        `org.wso2.carbon.policy.mgt.common.PolicyManagementException`
        `org.wso2.carbon.policy.mgt.common.FeatureManagementException`
        `SyncmlMessageFormatException`
        `SyncmlOperationException`

Copyright © 2017 WSO2. All rights reserved.